package com.eactive.eai.inbound.filter; 


public class AdapterFilterFactory 
{ 
    private AdapterFilterFactory() {
    }
    
    public static AdapterFilter createFilter(String filterName) throws AdapterFilterException {
        AdapterFilter action = null;
        try {
            Class cl = Class.forName(filterName);
            action = (AdapterFilter)cl.newInstance();
        } catch(Exception e) {
            throw new AdapterFilterException("Cannot create a FilterAction. - "+filterName);   
        }
        return action;
    }
} 
